AutoCAD .NET :: Updating Attributes Of A Selection Set
Aug 1, 2013
I am trying to update blocks from a selection set and based on two specific attributes. I get and error eLock Violation
Not sure where it comes from since this is a dll.
Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument Dim db As Database = doc.Database Dim ed As Editor = doc.Editor Dim x As Integer = 0 Dim tr As Transaction = db.TransactionManager.StartTransaction() MsgBox("Going into attribute write", MsgBoxStyle.OkOnly) Try Dim idArray As ObjectId() = selSet.GetObjectIds() For Each blkId As ObjectId In idArray Dim blkRef As BlockReference =
[Code]........
View 3 Replies
ADVERTISEMENT
Jun 29, 2012
I'm working on a program that cycles through each paperspace layout in a drawing and updates the sheet number and total quantity of sheets in the titleblock attributes. I've updated the block attributes in paperspace before, and it worked fine. Now that I'm trying to cycle through each layout, I cannot get it to work. I have attached my code. I beleive it starts to cycle through the layouts, but it fails when I try to grab the attribute collection.
Public Sub UpdateSheetNumbers() Dim doc As Document = Application.DocumentManager.MdiActiveDocument Dim db As Database = doc.Database Dim ed As Editor = doc.Editor Dim layoutCount As Integer =
[Code].....
View 7 Replies
View Related
Nov 7, 2011
The only stipulation is my company uses AutoCAD 2012 LT. I am not familiar with Lisp/VBA programming codes but I have done an "appload" before, but that does not work with LT versions.
Question:
How do I update multiple template blocks based off of the first template? Currently we have been using one primary drawing sheet and are now going to be implementing a detail sheet.
View 8 Replies
View Related
Dec 8, 2011
I was curious to see if there's a way to set up Autocad (2010) to recognize when MTEXT objects are edited, and have it adjust their defined width automatically (both single- and multi-line)--versus having to click on the arrow every time to snap the text box "margin" to the actual text. I'd like to do this to keep my background masks the exact width of the text; I just hate it when the mask doesn't cover enough of the text, or when it covers more and the background is unnecessarily obscured. I'm careful about keeping things neat, but my coworkers aren't .
View 1 Replies
View Related
Jul 4, 2011
So I am Loving the use of Attout and Attin for updating block attributes from a spread sheet...Currently I am producing drawings with names on desks. I have created a block with the attributes of Name and desk.
I am currently updating the drawings blocks so that I can input an excel spreadsheet with over 1500 names into the drawing using Attin (changed the .xls to .txt and roberts your mothers brother)
Unfortunately the spreadsheets I have been given have the name as one field. i.e name: Joe Bloggs, Ideally I would have the information as First Name: Joe last name: Bloggs and create two associated attributes which would enable a nicely displayed block..
is there any way that I can format the block so that the attribute displays as a multi line..e.g.
Joe
Bloggs
not
Joe Bloggs.
I know I can go into each attribute (although trying to remember that command "A something Edit" I think) and edit it like a piece of txt. I would rather not have to go and do that if there is another work around..
View 3 Replies
View Related
Jun 18, 2011
Is there a way to select attributes from a block if I pick a point inside the block?
View 6 Replies
View Related
Oct 16, 2012
I downloaded a lisp routine that will align block attributes. The problem is I can only select the attributes one at a time. I'd like to be able select multiple attributes using the selection window or a crossing window, but I haven't had much luck. If you use the AEATTSHOW command, it give you a prompt to "select using window" by pressing W. I'd like to have the same functionality for my Align attributes routine.
Below is the portion of code I currently have to select attributes one at a time:
;* Select all attributes to align with the parent selected above and add the attribute entname and the block
;* entname to a list in format ( (AttrEntName BlkEntName) (AttrEntName BlkEntName) (AttrEntName BlkEntName) )
;*
while (/= TempAttr nil)
(setq
TempAttr (nentsel "
Select Attributes to align: ")
[Code] .........
View 5 Replies
View Related
Jan 3, 2013
Why is my text not updating to new font selection when I select from "Type > Font", not "Character > Set the Font Family"? When I go Type > Font > and select Ari for example it doesn't update.
View 2 Replies
View Related
Feb 27, 2012
want to upated attributes in proxy entity is this possible?
View 1 Replies
View Related
Mar 20, 2013
I am using Mech 2007. I have created a template to use with new drawings, and want to know if there is a way to update all the drawings at the same time when updating the template.
View 3 Replies
View Related
Nov 17, 2011
I'm working on setting up a process where I can bring AutoCAD drawings into GIS. I need to assign an attribute to a Polyline or Line so that the attributes can be viewed in GIS. I've noticed there is a way to convert AutoCAD to a SHP or SDP however I'm not familiar with this process.
View 1 Replies
View Related
Jan 23, 2012
From the attached image you can see what I'm talking about.
(left=original, middle=ROTATE, right=PROPERTIES)
When I rotate blocks using ROTATE command everything is fine, but when I rotate blocks using PROPERTIES my attributes get messed.
I need to rotate several blocks at once with PROPERTIES, because I don't have time to rotate each one separately.
The same thing happens when scaling blocks, but this was resolved using the command BSCALE in the command line.
View 5 Replies
View Related
Jul 12, 2011
When I select a hatch or polyline or any object with grips for that matter, and hold down shift to select multiple grips on the object or objects and then press my middle mouse button to pan or scroll it to zoom, the grips that I have selected de-select, meaning I have to set up the view so that all the grips I want to move are visible before selecting them.
This is only happening on some drawings (although it is most of them) and only when I use 2012 not 2011. Which system variable it is that has gone screwy that I need to reset? or is it something else?
View 9 Replies
View Related
Mar 28, 2013
I have a flexible sub-assembly in my top assembly. Sometiems I'm trying to demonstrate to others how a mechanism in the sub-assembly works using this flexibility feature. It works great, but when I move just one little part of a flexible assembly, Inventor displays the wire-mesh of the entire flexible assembly, because technically the entire assembly is selected, even though I'm only moving one part. It clutters up the screen very badly, detracting from what I'm trying to show.
Is there a way to prevent Inventor from displaying the selection lines? Either only when I'm moving a part in a flexible assembly (which would be great), or to just turn them off completely when I'm presenting like this? I know I can turn off pre-select, but that doesn't work, because once I start moving a part in the flexible assembly, the assembly is "selected" and the wire-mesh displays.
View 3 Replies
View Related
Sep 11, 2013
When creating a selection Command using the PromptXXXOptions and PromptXXXResult. The entities are selected on the current view, but once the selection ends the entities return to an unselected state.
Is it possible to leave them in selection mode.
I want to this, because it will be better to use Editor.SelectImplied() instead of saving the last selection object Ids.
View 2 Replies
View Related
Nov 15, 2013
I've created a lisp that draws the boltholes of a pipe flanges, using the correct number of holes, at the correct diameter at the correct bolt-hole diameter and then rotates. Everything works seamlessly, when i do just one flange. But I've discovered that fewuently there will be mulitple times when a user will have to perform the command.
So the idea I had was to do the following:
Select all circles with (setq CirclesFirst (ssget "X" (list (cons 0 "CIRCLE"))))
Go through the code to create the new circles.
Select all circles with (setq Circles (ssget "X" (list (cons 0 "CIRCLE"))))
Remove selection set "CirclesFirst" from "Circles".
But what for some reason (command "_.select" Circles "R" CirclesFirst "") does not work.
View 9 Replies
View Related
Nov 16, 2012
Then, I wrote a loop to save automatically a list of documents with the Save As method (Database.SaveAs). The code is the following:
doc.Database.SaveAs(path, True, DwgVersion.Current, doc.Database.SecurityParameters).
While the documents are correctly saved with the correct new name (e.g. Map1.dwg, Map2.dwg, etc.) in the correct location, the doc.Name properties are not updated, the title bar of autocad also. They still remains Drawing1.dwg, Drawing2.dwg, etc.
View 2 Replies
View Related
Sep 1, 2013
I have been continually annoyed, when creating a vector mask-heavy document, with trying to select vector mask points by dragging a rectangle only to find that it instead selects a layer higher up which has a larger vector mask.
The only workaround is to manually select the points of my mask or to drag a rectangle from outside the canvas, meaning I have to zoom out or scroll to the edge - sometimes annoying if I am zoomed in quite far.
I know that the move tool can be set to automatically select a layer, depending on what part of the image is clicked, but why is there not an option to turn this off for vector editing?
View 1 Replies
View Related
Dec 10, 2012
If you look closely in the attached picture, there is a spot of light blue on the player's helmet, that looks like a mistake (think it should look like the grass behind it)...though it actually may be part of his helmet.
Regardless, I'd like to take it out. My idea was to select the blue with the quick selection tool, then bring that selection out to the grass, select the grass with that size/shape of selection, copy/paste and then bring the grass selection into the blue part so it looks like grass in what was the blue part.
The problem is I don't seem to be able to move the selection without taking the blue with it (so it's not an empty selection and therefore can't select a piece of the grass.)
View 2 Replies
View Related
Sep 13, 2012
I have Photoshop CS5 on a Mac OS 10.7.4 My problem is that when I am using curves or a slider, my selection does not stay in the same place. For example, I chose the number 8 on a slider, after I release my selection it will either go one number after or before my selected number. I have had this problem since I got my computer, December 2011, but it has only recently started to frustrated me because of having to use Photoshop a little more than I usually do.
View 2 Replies
View Related
Oct 24, 2011
how to "drop out" the background from this photo (I have loads to do which are very similar). Thus far I have tried channel selections and the calculations tool + all the normal quick selection tools and I just cant get it to work without spending hours adjusting things. The end effect I need to achieve is a perfect white background without loosing any of the detail if possible. On a side note I have also tried taking the photo on blue, green, black and white backgrounds but due to the number of colours present in the products its just not working for me.
View 5 Replies
View Related
Jul 14, 2011
I am attaching a PDF or DWF file to my drawing it shows in xref dialog but when i try to get it from
Database.GetHostDwgXrefGraph its not in the graph node list. can some body give code example, how i can update the underlay path. the following code crash Autocad.
using (Transaction trans = database.TransactionManager.StartTransaction()) { UnderlayDefinition uDef = trans.GetObject(objId, OpenMode.ForWrite) as PdfDefinition; uDef.UpgradeOpen(); uDef.SourceFileName = newPath; trans.Commit(); }
View 2 Replies
View Related
Mar 28, 2013
I have just installed IV 2013 Pro and I am having some issues with changes in the IPN transferring to the IDW. I changed the colour of a part in an assembly which transferred fine to the IPN, but the IDW did not update. I have tried turing off the visibility of the part in the browser in the IDW, then turning it on again, selecting the associative icon in the drawing view dialogue box, but still the view will not update. I even tried re-inserting the IPN in the IDW, still the colour had not updated. This is unacceptable. I do not have time to re-create all the IPN's.
View 9 Replies
View Related
Aug 15, 2013
I have a recurring problem that I can't seem to figure out. I have my existing grade TIN surface as a data shortcut into my roadway design file, but it sometimes will not update when opening the drawing. The surface profile will not display until the surface is manually synced. Any labels that are associated with that surface (or other object) will just display the ??? because it can't seem to connect to the data. After a manual sync it seems to come back.
View 9 Replies
View Related
Aug 10, 2011
I’m having a problem with ACA 2011 and tags (prop sets).
They are not updating When add any type of tag to an object. It’s coming up as –
I have download the sp2 and it seems to fix the problem, but then it comes back again. Some PC are working and other are not.
The only workaround I have got is to remove ACA from the regedit and run CAD again or run the update msi.
View 2 Replies
View Related
Feb 25, 2013
I seem to recall there is a method of substituting old drawing templates with the latest version on open drawings, but for the life of me can neither remember what the command is or enter anything into the ACAD Help search that results in anything remotely useful .
View 9 Replies
View Related
Feb 6, 2013
I have created an annotative block. This block is displayed in a few different viewports at different scales. After I create the block I go and check the viewports and it is displaying well. The linework (polylines and a circle) is annotative as is the text in the block.
However, if I then change the scale/annotative scale of a viewport, the block doesn't seem to update properly. The text within the block updates to the new size although the linework within the block doesn't seem to scale and resets back to the model space size.
I've tried regenning etc with no luck. Is there a command I need to use after changing a viewport scale to force annotative blocks to update?
View 9 Replies
View Related
Feb 5, 2013
I am having a problem with my data shortcuts for my surfaces not updating. I have 2 surfaces (one ex and one prop) both are on auto-rebuild. Both of them are in separate files and data short cutted into my profiles files (I have one for water, one sewer and a third for storm drains). Any time I make a change whether I add or subtract data the file the data does not update in the profiles. As a work around I have been creating a new data short cut and adding it to my profiles files. What am I doing wrong that would make them not update?
View 9 Replies
View Related
Feb 14, 2012
I am trying, to make a data extraction with Link External data with linking to a excel sheet. Everything works fine, with the data extraction.
Then I try using upload to source/download to source update, but end up with this msg. every time:
1 object(s) found.
1 data link(s) do not allow their data to be written out.
0 data link(s) written out successfully.
I have tried when it said, successful all the way, but nothing have happen in the excel sheet at that time.
What I am trying to do, is make it automatic or manual update in the attributes in the drawing. If I change something in my excel sheet and ofc. the other way around to if possible.
View 9 Replies
View Related
Oct 22, 2012
Long ago, everything was done in Imperial and now we are converting to Metric, the issue is that the drawings we have no schedule of members and we (a colleague and I) are constantly discovering new members, this is causing no end of trouble with our numbering system.
What we would like to do is set up a master-table with 5 categories (UB, UC, PFC, EA and UA) and then have the labels for all the members dependent on this table. If we were to change the value in the table, the label would automatically update. Is this at all possible? I looked into the Xref and RText commands and they seem close but not quite there. Ideally the table would be in a separate dwg so we can work on drawings at the same time.
View 3 Replies
View Related
Oct 17, 2013
how to update a block already present in a drawing with a block pasted from another drawing.
I cannot use insert block with a file named the same as the block in the current drawing because the pasted block (of the same name) contains a visibility parameter that if I explode before inserting loses the parameters.
If I insert the same named block within a same named file to the current drawing the drawing holds onto the original block because it is within a block.
View 3 Replies
View Related